%define checkout 20170203
%define gh_commit e2ad2131c9ab4be98b86f8b3ba9582bfde390a83
%define gh_short %(c=%{gh_commit}; echo ${c:0:7})

Name:           pftp
Version:        0.11.5
Release:        1.%{checkout}git%{gh_short}%{?dist}
Summary:        Pftp FX client
Group:          Applications/Internet
License:        none
URL:            https://github.com/glftpd/pftp
Source:         https://github.com/glftpd/pftp/archive/%{gh_commit}.zip

Provides:       pftp = %{version}-%{release}

BuildRequires:  openssl
BuildRequires:  pkgconfig(openssl)
BuildRequires:  ncurses
BuildRequires:  pkgconfig(ncurses)

%description
FXP for pftp

%prep
%setup -q -n pftp-%{gh_commit}

%build
cd trunk-vanilla
./configure
cd src
make pftp-dynamic %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cd trunk-vanilla
cp src/%{name}-dynamic $RPM_BUILD_ROOT/%{_bindir}/%{name}

%files
%doc trunk-vanilla/README.TLS
%doc trunk-vanilla/CHANGELOG
%doc trunk-vanilla/HOWTO
%{_bindir}/%{name}

%changelog
* Fri Jan 27 2017 mh <mh+fedora@scrit.ch> - 1.4-1
  initial package
